[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomUpDown.OnAssociateChangeEnabled

Implements an OnEnabledChanged event handler assigned to the Associate control in the class instance.

## Declaration

Source position: comctrls.pp line 1975

`protected procedure TCustomUpDown.OnAssociateChangeEnabled(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Control (Associate) for the event notification.

## Description

OnAssociateChangeEnabled ensures that the Enabled property is updated when the corresponding property in the Associate control has been changed. When the Enabled property has been changed, the overridden SetEnabled method id called to update the enabled state for the speed buttons on the control.

No actions are performed in the method if a control has not been assigned to the Associate property.

OnAssociateChangeEnabled is assigned when a new value is stored to the Associate property.

## See also

TCustomUpDown.Associate |  | Control used to display and edit the Position for the control.
TCustomUpDown.SetEnabled |  | Sets the value for the Enabled property.
#lcl.controls.TControl.Enabled |  | Determines whether the control responds to mouse or keyboard input.